# Command Line Usage

Griffon incorporates the powerful build system Gant, which is a Groovy wrapper around Apache Ant.

The basic usage scenario is:

    griffon [environment]* [command name]

Griffon will search for Gant scripts that match the given name in the following locations:

- USER_HOME/.griffon/scripts
- PROJECT_HOME/scripts
- PROJECT_HOME/plugins/*/scripts
- GRIFFON_HOME/scripts

If Griffon discovers multiple commands matching the name entered it will offer you a choice as to which one to execute.

To specify an alternative environment to execute a particular command within you can specify an optional environment parameter either with one of the built in environments:

    griffon dev run-app
    griffon prod run-app

Or using an argument

    griffon -Dgriffon.env=uat run-app

Refer to the user guide section on The Command Line for more information.